### Method

# AppStreamCompose Result add_component

#### Declaration [src]

    gboolean
    asc_result_add_component (
      AscResult* result,
      AsComponent* cpt,
      GBytes* bytes,
      GError** error
    )

#### Description [src]

Add component to the results set.

#### Parameters

`cpt`

  Type: `AsComponent`

  The `AsComponent` to add.

  The data is owned by the caller of the method.

`bytes`

  Type: `GBytes`

  Source data used to generate the GCID hash, or `NULL` if nonexistent.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.